> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.helpyousponsor.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a group by ID



## OpenAPI

````yaml get /admin/groups/{group_id}
openapi: 3.0.0
info:
  title: Example for response examples value
  version: '1.0'
servers:
  - url: https://api.helpyousponsor.com/v1
    description: Production
security: []
paths:
  /admin/groups/{group_id}:
    get:
      tags:
        - Admins & Permissions
      summary: Get a group by ID
      operationId: b1bb135fae13a2aa9ce3b9e2bbd50ed9
      parameters:
        - name: group_id
          in: path
          required: true
          schema:
            type: integer
      responses:
        '200':
          description: Successful operation
          content:
            application/json:
              schema:
                properties:
                  data:
                    properties:
                      programs:
                        type: array
                        items:
                          type: object
                      donors:
                        type: array
                        items:
                          type: object
                      group:
                        type: object
                      all_groups:
                        type: array
                        items:
                          type: object
                    type: object
                  message:
                    type: string
                type: object
        '404':
          description: Group not found
      security:
        - apiKeyAuth: []
components:
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      description: 'API key generated from Developer Settings. Format: hys_...'
      name: X-HYS-API-Key
      in: header

````